apiVersion: apps/v1
kind: Deployment
metadata:
  name: customer
  labels:
    app: customer
spec:
  replicas: 3
  selector:
    matchLabels:
      app: customer
  template:
    metadata:
      labels:
        app: customer
    spec:
      containers:
        - name: customer
          image: registry.gitlab.com/ch-mc-b/autoshop-ms/app/shop/customer:1.0.0
          ports:
            - containerPort: 8080

